namespaces:
  - dev
  - prod

gitlab-runner:
  ## Runner docs: https://gitlab.com/gitlab-org/charts/gitlab-runner
  fullnameOverride: gitlab-runner
  image: gitlab/gitlab-runner:alpine-v13.9.0
  imagePullPolicy: IfNotPresent

  gitlabUrl: http://10.128.10.10/
  runnerRegistrationToken: ""
  unregisterRunners: true

  terminationGracePeriodSeconds: 3600
  concurrent: 10
  checkInterval: 30

  logLevel: warning
  logFormat: json

  rbac:
    create: false
    serviceAccountName: gitlab-runner
    clusterWideAccess: false

  metrics:
    enabled: false

  runners:
    config: |
      [[runners]]
        [runners.kubernetes]
          image = "alpine:3.13.2"
    serviceAccountName: gitlab-runner-kubernetes
    tags: "dev01,kubernetes,linux"
    name: "dev01-gitlab-runner-kubernetes"
    runUntagged: false
    protected: false

  securityContext:
    fsGroup: 65533
    runAsUser: 100

  resources:
    limits:
      memory: 256Mi
      cpu: 200m
    requests:
      memory: 128Mi
      cpu: 100m
